/*global define*/
define(['backbone', '../config', 'sandbox/collection', '../models/page'], function (Backbone, config, Collection, PageModel) {
    'use strict';
    return Collection.extend({
        url: config.baseUrl + 'page',
        model: PageModel,
        sync: function (method, model, options) {
            options.data = options.data || {};
            options.data.shopGuid = config.shopGuid;
            return Backbone.sync.call(this, method, model, options);
        }
    });
});
