/*global define*/
define(['sandbox/dom', 'sandbox/event', './widget'], function ($, vent, WidgetView) {

    'use strict';

    return WidgetView.extend({

        objectType: '.Image',

        action: function () {
            /*global prompt*/
            var src = prompt('Image URL'),
                data = {
                    src: src,
                    title: 'some image',
                    objectType: '.Image'
                };
            if (!src) {
                return;
            }
            this.addContent(data);
        },

        maybedropped: function (event) {
            return $(event.target).is('div[data-view="column"]:not(:has([data-type])), html');
        }

    });

});
