/*global define, describe, beforeEach, it, runs, expect, jasmine*/
define(['app/models/column', 'app/collections/columns'], function (Column, Columns) {

    'use strict';

    return describe('Collection :: Columns', function () {

        beforeEach(function () {
            this.columns = new Columns();
        });

        describe('.initialize()', function () {

            it('should create a collection', function () {
                runs(function () {
                    expect(this.columns).not.toBe(null);
                    expect(this.columns).toEqual(jasmine.any(Columns));
                });
            });

            it('should add an empty default column', function () {
                this.columns.add({});
                runs(function () {
                    expect(this.columns.at(0)).not.toBe(null);
                    expect(this.columns.at(0)).toEqual(jasmine.any(Column));
                });
            });

        });

    });
});
