/*global define, describe, beforeEach, it, runs, expect, jasmine*/
define(['app/collections/pages', 'app/models/page'], function (Pages, Page) {

    'use strict';

    describe('Collections :: Pages', function () {

        beforeEach(function () {
            this.pages = new Pages();
        });

        describe('url', function () {

            it('should be "page"', function () {
                runs(function () {
                    expect(this.pages.url).toBe('page');
                });
            });

        });

        describe('model', function () {

            it('should be of type "models/page"', function () {
                this.pages.add({});

                runs(function () {
                    expect(this.pages.at(0)).toEqual(jasmine.any(Page));
                });
            });

        });

    });
});
