/*global define, describe, it, expect*/
define(['app/models/image'], function (ImageModel) {

    'use strict';

    describe('Models :: Image', function () {

        describe('initialize()', function () {

            var myImage = new ImageModel();

            it('should have default values', function () {

                expect(myImage.get('src')).toBe('');

                expect(myImage.get('title')).toBe('');

                expect(myImage.get('objectType')).toBe('.Image');

                expect(myImage.get('href')).toBe('');

            });

        });

    });
});
