/*global define, describe, beforeEach, it, expect*/
define(['app/models/text'], function (Text) {

    'use strict';

    describe('Models :: Text', function () {

        beforeEach(function () {
            this.text = new Text();
        });

        describe('initialize()', function () {
            it('should have default values', function () {
                expect(this.text.get('text')).toBe('');
                expect(this.text.get('objectType')).toBe('.Text');
                expect(this.text.get('href')).toBe('');
            });
        });

        describe('set()', function () {
            it('setting text property', function () {
                var expected = 'this is an example';
                this.text.set({text: expected});
                expect(this.text.get('text')).toBe(expected);
            });
        });

    });
});
