/*global define, describe, beforeEach, afterEach, it, expect*/
define(['app/views/outline'], function (OutlineView) {

    'use strict';

    describe('View :: Device', function () {

        beforeEach(function () {
            // TODO
            // Test with mocked iframe.
            //
            this.view = new OutlineView({
                iframe: null
            });
        });

        afterEach(function () {
            this.view.close();
        });

        describe('.initialize()', function () {

            it('should have a default DIV element', function () {

                expect(this.view.$el).toBe('div');

            });

        });

        describe('.hide()', function () {

            it('should change the opacity to 0', function () {
                this.view.render();
                this.view.hide();
                expect(this.view.$el).toHaveCss({opacity: '0'});
            });

        });

        describe('on "lasthovered" event', function () {

            beforeEach(function () {
                this.view.render();

                // TODO
                // Test with mocked iframe.
                //
            });

            it('should set the right position and dimensions', function () {
                // TODO
                // Start using fixtures?
                //
                // vent.trigger('lasthovered');
                expect(true).toBe(true);
            });

        });

    });

});
