define(['handlebars'], function(Handlebars) {

return Handlebars.template(function (Handlebars,depth0,helpers,partials,data) {
  this.compilerInfo = [4,'>= 1.0.0'];
helpers = this.merge(helpers, Handlebars.helpers); data = data || {};
  var buffer = "", stack1, functionType="function";


  buffer += "<!doctype html>\n<html>\n<head>\n    <title>Editor</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />\n    <link rel=\"stylesheet\" href=\"/editor/css/editor.css\"><!-- editor ui styles -->\n</head>\n<body class=\"unity\">\n\n    <div class=\"editor toolbar toolbar-one\" data-region=\"editortools\"></div>\n\n    <div class=\"storefront\" data-region=\"content\"></div>\n\n    <div class=\"editor toolbar toolbar-two\" data-region=\"contenttools\"></div>\n\n    <script type=\"text/javascript\" charset=\"utf-8\">\n        var require = {\n            config: {\n                'app/config': ";
  if (stack1 = helpers.config) { stack1 = stack1.call(depth0, {hash:{},data:data}); }
  else { stack1 = depth0.config; stack1 = typeof stack1 === functionType ? stack1.apply(depth0) : stack1; }
  if(stack1 || stack1 === 0) { buffer += stack1; }
  buffer += "\n            }\n        };\n    </script>\n    <script src=\"/editor/js/require/require.js\" data-main=\"/editor/js/main\"></script>\n</body>\n</html>\n";
  return buffer;
  })

});