/*global define*/
define(['sandbox/event', 'sandbox/dom', './widget'], function (vent, $, WidgetView) {

    'use strict';

    return WidgetView.extend({

        objectType: '.Text',

        action: function () {
            /*global prompt*/
            var text = prompt('Text', ''),
                data = {
                    text: text,
                    objectType: '.Text'
                };
            if (!text) {
                return;
            }
            this.addContent(data);
        },

        maybedropped: function (event) {
            return $(event.target).is('div[data-view="column"]:not(:has([data-type])), html');
        }

    });

});
