/*global define, document*/
define(['jquery'], function (jQuery) {
    'use strict';

    var root = jQuery(document),

        // Use prototype dom manipulations
        $ = function (selector, context) {
            // The jQuery object is actually just the init constructor 'enhanced'
            return new jQuery.fn.init(selector, context, root);
        };

    // TODO
    // jQuery.noConflict();
    // Turns out, jasmine-jquery needs global $.

    // Use selected static methods
    jQuery.each(['parseHTML', 'contains'], function (i, name) {
        $[name] = function () {
            return jQuery[name].apply(jQuery, arguments);
        };
    });

    return $;
});
