/*global define*/
/*jslint nomen: true*/
define(['jquery', 'underscore', 'app/config'], function ($, _, config) {

    'use strict';

    var defaults = {
        url: ''
    };

    return function (opts) {
        var options = _.extend(defaults, opts);
        if (_.isString(config.baseUrl) && !_.isEmpty(config.baseUrl)) {
            options.url = config.baseUrl + opts.url;
        } else {
            options.url = '/' + options.url;
        }
        return $.ajax(options);
    };

});
