/*global define, describe, beforeEach, it, runs, expect, jasmine*/
define(['app/models/row', 'app/collections/rows'], function (Row, Rows) {

    'use strict';

    return describe('Collection :: Rows', function () {

        beforeEach(function () {
            this.rows = new Rows();
        });

        describe('.initialize()', function () {

            it('should create a collection', function () {
                runs(function () {
                    expect(this.rows).not.toBe(null);
                    expect(this.rows).toEqual(jasmine.any(Rows));
                });
            });

            it('should add an empty default row', function () {
                this.rows.add({});
                runs(function () {
                    expect(this.rows.at(0)).not.toBe(null);
                    expect(this.rows.at(0)).toEqual(jasmine.any(Row));
                });
            });

        });

    });
});
