/*global define, describe, beforeEach, it, expect, jasmine*/
define([
    'app/collections/users',
    'app/models/user'
], function (Users, UserModel) {

    'use strict';

    describe('Collection :: User', function () {

        beforeEach(function () {
            this.users = new Users();
        });

        describe('model', function () {

            it('should be of type UserModel', function () {
                this.users.add({});
                expect(this.users.at(0)).toEqual(jasmine.any(UserModel));
            });

        });

    });
});
