/*global define, describe, beforeEach, it, runs, expect, jasmine*/
define(['app/models/widget', 'app/collections/widgets'], function (WidgetModel, WidgetCollection) {

    'use strict';

    return describe('Collection :: Widgets', function () {

        beforeEach(function () {
            this.widgets = new WidgetCollection();
        });

        describe('.initialize()', function () {

            it('should create a collection', function () {
                runs(function () {
                    expect(this.widgets).not.toBe(null);
                    expect(this.widgets).toEqual(jasmine.any(WidgetCollection));
                });
            });

            it('should add an empty default column', function () {
                this.widgets.add({});
                runs(function () {
                    expect(this.widgets.at(0)).not.toBe(null);
                    expect(this.widgets.at(0)).toEqual(jasmine.any(WidgetModel));
                });
            });

        });

    });
});
