/*global define, describe, beforeEach, it, expect*/
define(['app/models/user'], function (User) {

    'use strict';

    describe('Model :: User', function () {

        beforeEach(function () {
            this.user = new User();
        });

        describe('initialize()', function () {
            it('should have default values', function () {
                expect(this.user.get('id')).toEqual('0');
                expect(this.user.get('guid')).toEqual('');
                expect(this.user.get('name')).toEqual('');
                expect(this.user.get('deleteConfirmation')).toEqual(true);
            });

            it('should have configured url', function () {
                expect(this.user.url()).toBe('/user/0');
            });
        });

    });
});
