/*global define, describe, beforeEach, it, expect*/
define(['app/models/widget'], function (WidgetModel) {

    'use strict';

    describe('Models :: Widget', function () {

        beforeEach(function () {
            this.widget = new WidgetModel();
        });

        describe('initialize()', function () {

            it('should have default values', function () {

                expect(this.widget.get('type')).toBe('');

                expect(this.widget.get('title')).toBe('');

                expect(this.widget.get('description')).toBe('');

            });

        });

    });
});
