/*global define, describe, beforeEach, afterEach, it, expect*/
define(['app/views/username'], function (Username) {

    'use strict';

    describe('View :: Username', function () {

        beforeEach(function () {
            this.view = new Username();
        });

        afterEach(function () {
            this.view.close();
        });

        describe('.initialize()', function () {

            it('should have an a-tag with class name beginning with editor-username-', function () {

                this.view.render();

                expect(this.view.$el).toContain('a[class*="editor-username-"]');

            });

        });

    });

});
